<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/bg"
    tools:context=".fragment.ForgetPawFragment">

    <LinearLayout
        android:id="@+id/rl_forge_paw"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryBlue"
        android:orientation="horizontal"
        android:paddingTop="@dimen/top_pind_sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_forgePaw_finish"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_alignParentLeft="true"
            android:layout_marginLeft="15dp"
            android:src="@drawable/ic_baseline_arrow" />

        <TextView
            android:id="@+id/tv_forgetPaw_title"
            style="@style/toolbar_style"
            android:layout_width="wrap_content"
            android:layout_height="45dp"
            android:layout_marginLeft="15dp"
            android:layout_toRightOf="@id/iv_find_task"
            android:gravity="center"
            android:text="忘记密码" />
    </LinearLayout>

    <TextView
        android:id="@+id/fragment_tv_forgetPaw"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="35dp"
        android:text="密码找回/修改"
        android:textColor="@color/colorWhite"
        android:textSize="35sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rl_forge_paw" />

    <TextView
        android:id="@+id/forgetPaw_phone"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:text="手机号"
        android:textColor="@color/colorWhite"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/fragment_tv_forgetPaw"
        app:layout_constraintTop_toBottomOf="@id/fragment_tv_forgetPaw" />

    <EditText
        android:id="@+id/et_forgetPaw_phone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:background="@null"
        android:hint="11位手机号码"
        android:inputType="number"
        android:textColor="@color/white"
        android:maxLength="11"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:textSize="15sp"
        android:theme="@style/MyEditText"
        app:layout_constraintLeft_toLeftOf="@id/forgetPaw_phone"
        app:layout_constraintTop_toBottomOf="@id/forgetPaw_phone" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="@color/colorHui"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_phone"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_phone" />

    <TextView
        android:id="@+id/forgetPaw_note"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="短信验证码"
        android:textColor="@color/colorWhite"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_phone"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_phone" />

    <EditText
        android:id="@+id/et_forgetPaw_note"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:background="@null"
        android:textColor="@color/white"
        android:hint="6为短信验证"
        android:inputType="number"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:textSize="15sp"
        android:theme="@style/MyEditText"
        app:layout_constraintRight_toLeftOf="@+id/forgetPaw_get_note"
        app:layout_constraintTop_toBottomOf="@id/forgetPaw_note" />

    <TextView
        android:id="@+id/forgetPaw_get_note"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="获取短信验证码"
        android:textColor="@color/colorWhite"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="@id/et_forgetPaw_note"
        app:layout_constraintRight_toRightOf="@+id/tv_view"
        app:layout_constraintTop_toTopOf="@id/et_forgetPaw_note" />

    <View
        android:id="@+id/tv_view"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="@color/colorHui"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_note"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_note" />


    <TextView
        android:id="@+id/forgetPaw_paw"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="密码"
        android:textColor="@color/colorWhite"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/forgetPaw_note"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_note" />

    <EditText
        android:id="@+id/et_forgetPaw_paw"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:background="@null"
        android:hint="6-20位密码"
        android:textColor="@color/white"
        android:inputType="textPassword"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:textSize="15sp"
        android:theme="@style/MyEditText"
        app:layout_constraintLeft_toLeftOf="@id/forgetPaw_paw"
        app:layout_constraintTop_toBottomOf="@id/forgetPaw_paw" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="@color/colorHui"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_paw"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_paw" />

    <TextView
        android:id="@+id/forgetPaw_confirm_paw"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:text="确认密码"
        android:textColor="@color/colorWhite"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_paw"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_paw" />

    <EditText
        android:id="@+id/et_forgetPaw_confirm_paw"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:background="@null"
        android:hint="请再次输入一遍密码"
        android:inputType="textPassword"
        android:paddingTop="10dp"
        android:textColor="@color/white"
        android:paddingBottom="10dp"
        android:textColorHint="@color/colorTransparent"
        android:textCursorDrawable="@drawable/text_color"
        android:textSize="15sp"
        android:theme="@style/MyEditText"
        app:layout_constraintLeft_toLeftOf="@id/forgetPaw_confirm_paw"
        app:layout_constraintTop_toBottomOf="@id/forgetPaw_confirm_paw" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:background="@color/colorHui"
        app:layout_constraintLeft_toLeftOf="@id/et_forgetPaw_confirm_paw"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_confirm_paw" />

    <Button
        android:id="@+id/btn_forgetPaw"
        style="@style/login_style"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:layout_marginRight="50dp"
        android:gravity="center"
        android:text="提交"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/et_forgetPaw_confirm_paw" />

</androidx.constraintlayout.widget.ConstraintLayout>